TextOutsideAlign Example |
Using Programming Languages other than VBA
Sub Example_TextOutsideAlign() ' This example creates an aligned dimension in model space and ' allows the user to toggle the TextOutsideAlign value for the dimension Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5.5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll
Toggle: Select Case MsgBox("Press OK to toggle the TextOutsideAlign value for this dimension", vbOKCancel) Case vbOK ' Toggle the TextOutsideAlign value for this dimension dimObj.TextOutsideAlign = Not (dimObj.TextOutsideAlign) dimObj.Update ThisDrawing.Regen acActiveViewport ' Read and display the new dimension TextOutsideAlign value MsgBox "TextOutsideAlign is currently set to: " & dimObj.TextOutsideAlign Case vbCancel Exit Sub End Select GoTo Toggle End Sub
Comments? |